# grunt-burnjs

> Grunt plugin for BurnJS

## Example usage

See [burnjs](https://github.com/foxx/burnjs) for options.

```js
    /* Compile JS */
    burn: {
      build: {
        options: {
          modules: [
            // Vendor
            {name: 'jquery', src: 'vendor/jquery-1.11.1.js'},
            {name: 'modernizr', src: 'vendor/modernizr-2.8.3.js'},
            {name: 'parsley', src: 'vendor/parsley-2.0.5.js'},
            {name: 'parsley-remote', src: 'vendor/parsley-2.0.5.remote.js'},
            {name: 'stapes', src: 'vendor/stapes-0.8.1.js'},
            {name: 'sprintf', src: 'vendor/sprint-1.0.0.js'},

            // Libraries
            {src: 'js/libs/assert.js', name: 'assert'},
            {src: 'js/libs/grouper.js'},

            // Modules
            {src: 'js/modules/booking.js'}
          ],
          assets: [],
          entry: 'js/entry.js',
          out: 'build/js/site.js'
        }
      }
    },
```
