/*
 * grunt-burn
 * https://github.com/foxx/grunt-burn
 *
 * Copyright (c) 2014 Cal Leeming
 * Licensed under the MPL2 license.
 */

'use strict';

module.exports = function(grunt) {

  var assert = require('assert');

  // Please see the Grunt documentation for more information regarding task
  // creation: http://gruntjs.com/creating-tasks

  grunt.registerMultiTask('burn', 'Grunt plugin for BurnJS', function() {
    // Merge task-specific and/or target-specific options with these defaults.
    var options = this.options({
      modules: [],
      assets: [],
      entry: []
    });
    
    if (!options.out)
      throw new Error("out must be specified");

    // create new compiler instance
    var burn = require('burn');
    var cb = burn.compile(options);
  });

};
